<?php

namespace App\Form\Registration\User;

use App\Entity\User\User;
use App\Form\BaseType\AddEmailType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class EmailsType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder->add('email', EmailType::class, [
            'label' => 'Email',
            'label_attr'=>['class'=>'small-label'],
            'attr'=>['class'=> 'input-bot-border'],
            ])
        ->add('emails', CollectionType::class, [
            'label' => false,
            'entry_type' => AddEmailType::class,
            'entry_options' => ['label' => false],
            'allow_add' => true,
            'allow_delete' => true,
            'by_reference' => false,
            'label_attr'=>['class'=>'small-label'],
            'attr'=>['class'=> 'input-bot-border']
        ]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => User::class,
        ]);
    }

    /*    public function buildView(FormView $view, FormInterface $form, array $options)
        {
            parent::buildView($view, $form, $options); // TODO: Change the autogenerated stub
        }*/
}
